package com.hcloud.microservice.org.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.org.facade.fallback.AuthManagerFactory;
import com.hcloud.microservice.org.facade.forms.BaseAuthForm;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AuthManagerFallbackFactory implements FallbackFactory<AuthManagerFactory> {

    @Override
    public AuthManagerFactory create(Throwable cause) {
        return new AuthManagerFactory() {
            @Override
            public ResultVO<BaseAuthForm> searchAuthInfoByPage(BaseAuthForm baseAuthForm) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO<BaseAuthForm> addAuthInfo(BaseAuthForm baseAuthForm) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO updateAuthInfo(BaseAuthForm baseAuthForm) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
