package com.hcloud.microservice.org.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.org.facade.fallback.PositionMangerFactory;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author xiezt
 */
@Component
public class PositionManagerFallbackFactory implements FallbackFactory<PositionMangerFactory> {
    /**
     * 区域地质熔断处理类
     * @param cause
     * @return
     */
    @Override
    public PositionMangerFactory create(Throwable cause) {
        return new PositionMangerFactory() {
            @Override
            public ResultVO getBasePositionByParentCode(String parentCode) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO getBasePositionByCode(String code) {
                return new ResultVO(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}