package com.hcloud.microservice.org.facade.fallback.factory;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microserver.commoncore.enums.ResultEnum;
import com.hcloud.microservice.org.facade.fallback.RoleMangerFactory;
import com.hcloud.microservice.org.facade.forms.BaseRoleAuthForm;
import com.hcloud.microservice.org.facade.forms.BaseRoleForm;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author xiezt
 */
@Slf4j
@Component
public class RoleManagerFallbackFactory implements FallbackFactory<RoleMangerFactory> {

    @Override
    public RoleMangerFactory create(Throwable cause) {
        return new RoleMangerFactory() {
            @Override
            public ResultVO searchRoleInfoByPage(BaseRoleForm baseRoleForm) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO addRoleInfo(BaseRoleForm baseRoleForm) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO updateRoleInfo(BaseRoleForm baseRoleForm) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }

            /**
             * 查询角色明细信息
             *
             * @param guid
             * @return
             */
            @Override
            public ResultVO searchInfoById(String guid) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }

            @Override
            public ResultVO searchRoleAuthInfo(String roleId, String orgGuid) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }
            /**
             * 分配角色权限
             *
             * @param roleId
             * @param orgGuid
             * @param list
             * @return
             */
            @Override
            public ResultVO distributionRoleAuth(String roleId, String orgGuid, List<BaseRoleAuthForm> list) {
                return new ResultVO<>(ResultEnum.SYS_BREAK_ERROR);
            }
        };
    }
}
